@import "../../vars";

.selector {
  display: inline-flex;
  align-items: center;
  margin-right: 30px;
}

.language {
  border: 0;
  background: 0;
  padding: 0;
  font-size: 16px;
  line-height: 21px;
  cursor: pointer;
  color: #919191;
  margin-left: 15px;
  position: relative;
  transition: color $transitionStyle;

  &:not(:first-child)::before {
    position: absolute;
    content: '';
    left: -7px;
    top: 0;
    height: 100%;
    width: 1px;
    background-color: #000000;
  }

  &:first-child {
    margin-left: 0;
  }

  &:hover,
  &.active {
    color: #222222;
  }
}
